Kapitel 2. Krævet software

For at du kan generere en certifikat forespørgsel til KMD-CA, skal du have installeret programmet openssl. Langt de fleste Linux distributioner installerer dette som standard, idet det anvendes af f.eks. mange webbrowsere til at lave "Secure Socket Layer" (SSL) enkodning. Du kan teste om du har programmet ved at åbne en terminal og skrive:


$ which openssl
/usr/bin/openssl
$ openssl
OpenSSL> quit
$ 

På mit system er openssl altså installeret som /usr/bin/openssl og fungerer tilsyneladende fint.

I Kapitel 3 kan du se et eksempel på hvordan du manuelt kan genere en certifikatforspørgsel. Det er ret indviklet, og i stedet vil jeg anbefale dig at kigge på "sslugsig" i Kapitel 5, eller, hvis du er til kommandolinjeværktøjer, perl scriptet i Afsnit 6.2, der illustrerer hvordan openssl skal anvendes for at lave en certifikat forespørgsel der kan anvendes til KMD-CA.

Når du har fået dit certifikat fra KMD-CA, skal det installeres. Se Kapitel 4